| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes

# IG::Plot2d::GraphWindowTemplate Class Reference

Template for stand-alone graph windows. More...

Inheritance diagram for IG::Plot2d::GraphWindowTemplate:
[legend]
Collaboration diagram for IG::Plot2d::GraphWindowTemplate:
[legend]

List of all members.

## Public Member Functions
| GraphWindowTemplate ()
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
new void | ResumeLayout ()
| Overridden ResumeLayout() that enables switching on or off the original ResumeLayout() dependent on the value of the ResumeLayoutInInitializeComponent flag.
virtual void | InitializeComponent ()
| Required method for Designer support - do not modify. the contents of this method with the code editor.
## Protected Attributes
System.Windows.Forms.GroupBox | grpControls
System.Windows.Forms.Button | btnClose
System.Windows.Forms.Panel | pnlGraph
## Properties
bool | ResumeLayoutInInitializeComponent`[get, set]`
| Specifies whether layout of the window should be resumed in the InitializeComponents() method. Default is true. This flag can be set to false in the derived classes in order to delay the point in time where layout is resumed. In such a way the layout can be resumed in the overrideen InitCompoinent() method rather than in that method defined in this class (which is called from the original method).
## Private Member Functions
void | btnClose_Click (object sender, EventArgs e)
## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable.
bool | _resumeLayoutInInitializeComponent = true

## Detailed Description

Template for stand-alone graph windows.

$A Igor Sept09;

## Constructor & Destructor Documentation

IG::Plot2d::GraphWindowTemplate::GraphWindowTemplate | ( |  | ) | `[inline]`

## Member Function Documentation

void IG::Plot2d::GraphWindowTemplate::btnClose_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

override void IG::Plot2d::GraphWindowTemplate::Dispose | ( | bool | disposing | ) | `[inline, protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

new void IG::Plot2d::GraphWindowTemplate::ResumeLayout | ( |  | ) | `[inline, protected]`

Overridden ResumeLayout() that enables switching on or off the original ResumeLayout() dependent on the value of the ResumeLayoutInInitializeComponent flag.

Reimplemented in IG::Plot2d::GraphWindowNPlot.

virtual void IG::Plot2d::GraphWindowTemplate::InitializeComponent | ( |  | ) | `[inline, protected, virtual]`

Required method for Designer support - do not modify. the contents of this method with the code editor.

Reimplemented in IG::Plot2d::GraphWindowNPlot.

## Member Data Documentation

System.ComponentModel.IContainer IG::Plot2d::GraphWindowTemplate::components = null`[private]`

Required designer variable.

bool IG::Plot2d::GraphWindowTemplate::_resumeLayoutInInitializeComponent = true`[private]`

System.Windows.Forms.GroupBox IG::Plot2d::GraphWindowTemplate::grpControls`[protected]`

System.Windows.Forms.Button IG::Plot2d::GraphWindowTemplate::btnClose`[protected]`

System.Windows.Forms.Panel IG::Plot2d::GraphWindowTemplate::pnlGraph`[protected]`

## Property Documentation

bool IG::Plot2d::GraphWindowTemplate::ResumeLayoutInInitializeComponent`[get, set, protected]`

Specifies whether layout of the window should be resumed in the InitializeComponents() method. Default is true. This flag can be set to false in the derived classes in order to delay the point in time where layout is resumed. In such a way the layout can be resumed in the overrideen InitCompoinent() method rather than in that method defined in this class (which is called from the original method).

The documentation for this class was generated from the following files:

- GraphWindowTemplate.cs
- GraphWindowTemplate.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events